> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetACDOperatorStatusStatistics POST https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics Get statistics for the specified operators and ACD statuses. This method can filter statistics by operator ids and statuses. It can also group results by day/hour or users. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User manager`. **Example request:** Get statistics for the 'READY' and 'ONLINE' statuses of all operators; grouped by operators. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/queues/get-acd-operator-status-statistics ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `from_date` (string, required) — Date and time of statistics interval begin. Time zone is UTC, format is 24-h 'YYYY-MM-DD HH:mm:ss' - `to_date` (string, optional, default: current date and time) — Date and time of statistics interval begin. Time zone is UTC, format is 24-h 'YYYY-MM-DD HH:mm:ss' - `acd_status` (list of string, optional) — The ACD status list separated by semicolons (;). The following values are possible: OFFLINE, ONLINE, READY, BANNED, IN_SERVICE, AFTER_SERVICE, TIMEOUT, DND - `user_id` (list of string, required) — The user ID list separated by semicolons (;). Use the 'all' value to select all users - `aggregation` (string, optional, default: none) — Specifies how records are grouped by date and time. If set to 'day', the criteria is a day number. If set to 'hour_of_day', the criteria is a 60-minute interval within a day. If set to 'hour', the criteria is both day number and 60-minute interval within that day. If set to 'none', records are not grouped by date and time - `group` (string, optional, default: user) — If set to 'user', first-level array in the resulting JSON groups records by the user ID, and second-level array groups them by date according to the 'aggregation' parameter. If set to 'aggregation', first-level array in the resulting JSON groups records according to the 'aggregation' parameter, and second-level array groups them by the user ID ## Response ### 200 Successful response - `result` (list of ACDOperatorStatusAggregationGroupType, optional) — List of groups, grouped by user ID or date according to the 'group' method call argument ## Types ### ACDOperatorStatusAggregationGroupType The [GetACDOperatorStatusStatistics] function result item. - `user_id` (AcdOperatorStatusAggregationGroupTypeUserId, optional) — If aggregation is enabled, contains user ID for the results - `date` (string, optional) — Date string as returned by the Management API. If aggregation is enabled, contains UTC date for the results in 24-h 'YYYY-MM-DD' format - `hour` (integer, optional) — If aggregation is enabled, contains the 60-minute interval number from 1 to 24 - `statistics` (list of ACDOperatorStatusStatisticsType, optional) — List of records grouped by date or user ID according to the 'group' method call argument ### AcdOperatorStatusAggregationGroupTypeUserId If aggregation is enabled, contains user ID for the results ### ACDOperatorStatusStatisticsType Individual record in the [ACDOperatorStatusAggregationGroupType] group. - `user_id` (string, optional) — If aggregation is enabled, contains user ID for the results - `date` (string, optional) — Date string as returned by the Management API. If aggregation is enabled, contains UTC date for the results in 24-h 'YYYY-MM-DD' format - `hour` (integer, optional) — If aggregation is enabled, contains the 60-minute interval number from 1 to 24 - `acd_status` (AcdOperatorStatusStatisticsTypeAcdStatus, optional) — The user statistics ### AcdOperatorStatusStatisticsTypeAcdStatus The user statistics ### AcdOperatorStatusStatisticsTypeAcdStatus1 - `READY` (AcdOperatorStatusStatisticsTypeAcdStatusOneOf1Ready, optional) - `ONLINE` (AcdOperatorStatusStatisticsTypeAcdStatusOneOf1Online, optional) ### AcdOperatorStatusStatisticsTypeAcdStatusOneOf1Ready - `min` (integer, optional) - `avg` (integer, optional) - `max` (integer, optional) - `count` (integer, optional) - `sum` (integer, optional) ### AcdOperatorStatusStatisticsTypeAcdStatusOneOf1Online - `min` (integer, optional) - `avg` (integer, optional) - `max` (integer, optional) - `count` (integer, optional) - `sum` (integer, optional) ## Examples **Response** ```json { "result": [ { "user_id": 487576, "statistics": [ { "date": "2019-05-20", "hour": 11, "acd_status": { "READY": { "min": 151, "avg": 1323, "max": 2496, "count": 2, "sum": 2647 }, "ONLINE": { "min": 14, "avg": 101, "max": 267, "count": 3, "sum": 303 } } }, { "date": "2019-05-20", "hour": 12, "acd_status": { "READY": { "min": 1169, "avg": 1169, "max": 1169, "count": 1, "sum": 1169 }, "ONLINE": { "min": 27, "avg": 1139, "max": 2252, "count": 2, "sum": 2279 } } } ] }, { "user_id": 487578, "statistics": [ { "date": "2019-05-20", "hour": 11, "acd_status": { "READY": { "min": 42, "avg": 234, "max": 472, "count": 4, "sum": 939 }, "ONLINE": { "min": 24, "avg": 955, "max": 1886, "count": 2, "sum": 1911 } } }, { "date": "2019-05-20", "hour": 12, "acd_status": { "ONLINE": { "min": 2350, "avg": 2350, "max": 2350, "count": 1, "sum": 2350 } } } ] } ] } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics" querystring = {"from_date":"2026-04-28 17:30:00","user_id":"[\"string\"]"} headers = {"Authorization": "Bearer "} response = requests.post(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D'; const options = {method: 'POST', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D") .header("Authorization", "Bearer ") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```